Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1574311 - beakerd update_dirty_job() loads all power commands for no reason when releasing a system
Summary: beakerd update_dirty_job() loads all power commands for no reason when releas...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Retired
Component: scheduler
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: 25.3
Assignee: Dan Callaghan
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks: 1097861
TreeView+ depends on / blocked
 
Reported: 2018-05-03 04:53 UTC by Dan Callaghan
Modified: 2018-06-04 07:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-18 00:52:05 UTC


Attachments (Terms of Use)

Description Dan Callaghan 2018-05-03 04:53:48 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=1097861#c37

There should be no reason it needs to do that expensive SELECT. It adds about 4 seconds to each call in our prod environment which adds up to a lot.

Comment 1 Dan Callaghan 2018-05-03 05:06:53 UTC
Oops, this was the system releasing code path in update_dirty_job(), not provision_scheduled_recipe().

Comment 2 Dan Callaghan 2018-05-03 06:02:28 UTC
https://gerrit.beaker-project.org/6091

Also fixed this while I was in there (although it's unrelated):

https://gerrit.beaker-project.org/6092

Comment 3 Dan Callaghan 2018-05-03 06:57:27 UTC
Okay so there *is* the same problem in provision_scheduled_recipe() also, and that's because it is ultimately the same code system.enqueue_command() which was needlessly SELECT'ing out the commands before inserting. So the patch above fixes the same problem in both places.


Note You need to log in before you can comment on or make changes to this bug.